# Interface BimChangeMetadataQuery<T>

Metadata query definition to be used with BimCoreApiClient.getChanges

interface BimChangeMetadataQuery<T extends BimChange> {
query: string;
}

#### Type Parameters

- T extends BimChange

##### Index

### Properties

query

## Properties

### query

query: string

Query is constructed by referencing a JSON property in the metadata of a object that implements one of the interfaces that are extending BimChangeBase. Query always references latest version.

#### Example

    ifc.status=Processed
    dwg.status=Processed
    _system.layer.format=sensors
    _system.layer.format=mycustomlayer